'''
Forum-esque model.
'''

from django.db import models
from Users.models import User
from Groups.models import Group

class Conversation(models.Model):
    '''
    A thread of messages. 
    '''
    
    title = models.CharField(max_length=256)
    subtitle = models.CharField(max_length=256)
    author = models.ForeignKey(User)
    created = models.DateTimeField(auto_now_add=True)
    
    groups = models.ManyToManyField(Group, blank=True)
    
    def __unicode__(self):
        return self.title

class Post(models.Model):
    '''
    A message in a discussion. 
    '''
    
    conversation = models.ForeignKey(Conversation)
    inreplyto = models.ForeignKey('self', blank=True, null=True)
    author = models.ForeignKey(User)
    created = models.DateTimeField(auto_now_add=True)
    last_modified = models.DateTimeField(auto_now=True)
    content = models.TextField()
    
    def __unicode__(self):
        return u'%s %s' % (self.conversation.title, self.author)
