'''
Discuss.tests.models
'''

from Users.models import User, Reminder
from Discuss.models import Conversation, Post
from django.core import mail
from django.test import TestCase

class ConversationTests(TestCase):
    
    def setUp(self):
        self.fergus = User.objects.create(firstname="Fergus", lastname="Ferrier", email="fff21@cam.ac.uk", password="password", membershipstatus="OK", activationlinkkey="imokay")
        self.fergus.UpdatePassword("password")
        self.conversation = Conversation.objects.create(title = "Formal Ticket Swap", subtitle = "I've got some and want to give them away", author = self.fergus)
    
    def test_unicode_name(self):
        ''' Check unicode string rep of Conversation '''
        self.failUnlessEqual(unicode(self.conversation), "Formal Ticket Swap")
        
class PostTests(TestCase):
    
    def setUp(self):
        self.fergus = User.objects.create(firstname="Fergus", lastname="Ferrier", email="fff21@cam.ac.uk", password="password", membershipstatus="OK", activationlinkkey="imokay")
        self.fergus.UpdatePassword("password")
        self.conversation = Conversation.objects.create(title = "Formal Ticket Swap", subtitle = "I've got some and want to give them away", author = self.fergus)
        self.post = Post.objects.create(conversation = self.conversation, inreplyto = '', author = self.fergus, content = "I'd like to weigh in on this.")
    
    def test_unicode_name(self):
        ''' Check unicode string rep of Post '''
        self.failUnlessEqual(unicode(self.post), "Formal Ticket Swap Fergus Ferrier")
        
