'''
Discuss.tests.views
'''

from Users.models import Reminder, User, Membership
from Discuss.models import Conversation, Post
from django.test import TestCase, Client
from django.core import mail
from django.core.urlresolvers import reverse


class BasicViewTests(TestCase):
    def setUp(self):
        # Reqd so that PREPEND_WWW in settings doesn't cause all view tests to fail
        self.host = "www.testhost" 
        self.client = Client(HTTP_HOST = self.host)
        
        self.fergus = User.objects.create(firstname="Fergus", lastname="Ferrier", email="fff21@cam.ac.uk", password="password", membershipstatus="OK", activationlinkkey="imokay")
        self.fergus.UpdatePassword("password")
        self.conversation = Conversation.objects.create(title = "Formal Ticket Swap", subtitle = "I've got some and want to give them away", author = self.fergus)
        self.post = Post.objects.create(conversation = self.conversation, inreplyto = '', author = self.fergus, content = "I'd like to weigh in on this.")

    # Conversations
    
    def test_conversations(self):
        ''' Show all conversations. '''
        response = self.client.get(reverse('Discuss.views.AllConversations'))
        self.assertContains(response, "Formal Ticket Swap", count=1, status_code=200)

    # A Conversation
    
    def test_conversation(self):
        ''' Events page shows events in future only '''
        response = self.client.get(reverse('Discuss.views.OneConversation', args=[self.conversation.id]))
        self.assertContains(response, "like to weigh in on this.", count=1, status_code=200)
