from django.shortcuts import render_to_response
from django.template.loader import render_to_string
from Discuss.models import Conversation, Post

def AllConversations(request):
    '''
    Show all conversations.
    '''
    conversations = Conversation.objects.all().order_by("-created")
    
    bc = [{'title': 'All Conversations'}]
    return render_to_response("discuss-all", {'breadcrumb': bc, 'activetab': 'Discuss', 'conversations': conversations})


def OneConversation(request, conversationid):
    '''
    Show a specific conversation.
    
    conversationid - the id of the conversation
    '''
    thisconversation = Conversation.objects.get(id = conversationid)
    posts = Post.objects.filter(conversation = thisconversation)
    
    bc = [{'title': thisconversation.title}]
    return render_to_response("discuss-one", {'breadcrumb': bc, 'activetab': 'Discuss', 'conversation': thisconversation, 'posts': posts})
