'''
Email.tests.views
'''

from Users.models import Person, PersonList
from Email.models import EmailTemplate, EmailRecipient
from django.test import TestCase
from django.core import mail
from django.core.urlresolvers import reverse


class BasicViewTests(TestCase):
    def setUp(self):
        self.emailtemplate = EmailTemplate.objects.create(
            name = "My Test List",
            email_reply_to = "frf21@cam.ac.uk",
            email_reply_to_name = "MyPidge.com",
            email_from = "fergus@mypidge.com",
            email_from_name = "MyPidge.com",
            subject = "{{ person.firstname }}, would you like it?",
            body = "You're never going to believe it, {{ person.firstname }}. We've only gone and got the mailing list system working!\n\nFergus Ross Ferrier")
         
        self.userone = Person.objects.create(
            firstname = "One",
            lastname = "Must",
            email = "one_must@thepidge.com"
            )

        self.usertwo = Person.objects.create(
            firstname = "Two",
            lastname = "Django",
            email = "two_django@thepidge.com"
            )

        self.userthree = Person.objects.create(
            firstname = "Three",
            lastname = "Company",
            email = "three_company@thepidge.com"
            )
            
        self.userlist = PersonList.objects.create(
            name = "My First List",
            
            )
        self.userlist.people = [self.userone, self.usertwo]
        
        self.anotheruserlist = PersonList.objects.create(
            name = "My Second List"
            )
        self.anotheruserlist.people = [self.userthree, self.usertwo]
        
        self.emptylist = PersonList.objects.create(
            name = "My Dull List"
            )
            
        self.emailtemplate.add_list(self.userlist)
        self.emailtemplate.add_list(self.anotheruserlist)
    
    def test_preview(self):
        ''' Preview EmailTemplate renders '''
        response = self.client.get(reverse('Email.views.Preview', args=[self.emailtemplate.id]))
        self.assertEquals(response.status_code, 200)    
        