'''
EntNav.tests.views
'''
from Groups.models import GroupCategory, Group
from django.test import TestCase, Client
from django.core.urlresolvers import reverse

class BasicViews(TestCase):
    
    def setUp(self):
        # Reqd so that PREPEND_WWW in settings doesn't cause all view tests to fail
        self.host = "www.testhost" 
        self.client = Client(HTTP_HOST = self.host)
    
    # Group Categories
    
    def test_group_categories_XML(self):
        ''' Get XML of group categories. '''
        response = self.client.get(reverse('EntNav.views.GroupCategories'))
        self.assertEquals(response.status_code, 200)
        
    # Groups
    
    def test_groups_XML(self):
        ''' Get XML of groups for specific group category id. '''
        mycategory = GroupCategory.objects.create(name = "My New Cat Purrs")
        response = self.client.get(reverse('EntNav.views.Groups', args=[mycategory.id]))
        self.assertEquals(response.status_code, 200)
        
    # Locations
    
    def test_locations_XML(self):
        ''' Get XML of locations for a group. '''
        mycategory = GroupCategory.objects.create(name = "My New Cat Purrs")
        mygroup = Group.objects.create(official_name = "Groupie", category = mycategory)
        response = self.client.get(reverse('EntNav.views.Locations', args=[mygroup.id]))
        self.assertEquals(response.status_code, 200)
        
