from django.contrib import admin
from Groups.models import Group, GroupCategory, GroupService, GroupServiceProperty, Service, ServiceProperty, GroupTag, MembershipInvitation

class GroupAdmin(admin.ModelAdmin):
    list_display = ('official_name', 'friendly_name', 'category')
    list_filter = ('category',)
    search_fields = ['official_name', 'friendly_name']
    save_on_top = True

    
admin.site.register(Group, GroupAdmin)
admin.site.register(GroupCategory)
admin.site.register(GroupTag)
admin.site.register(GroupService)
admin.site.register(GroupServiceProperty)
admin.site.register(ServiceProperty)
admin.site.register(Service)
admin.site.register(MembershipInvitation)
