"""
LocationWidget.py - Lat/Long Acquiring Widget
"""

from django.shortcuts import render_to_response
from django.conf import settings
from django import forms

class LocationWidget(forms.Widget):
    def render(self, name, value, attrs=None):
        """
        Return the HTML code for the widget.
        """
        if not value is None:
            if len(value)>0:
                parts = value.split('|')
                addr=""
                locval=""
                if len(parts)==2:
                    addr=parts[0]
                    locval=parts[1]
                addr = addr.replace('"', '&quot')
                locval = locval.replace('"', '&quot')
                locparts = locval.split(':')
                if len(locparts)==2:
                    lati = locparts[0]
                    longi = locparts[1]
                    return "<input type='hidden' style='visibility: hidden;' id='" + name + "_coords' name='" + name + "_coords' value=\"" + locval + "\">Address: <input type='text' name='" + name + "_addr' value=\"" + addr + "\"><span id='status_" + name + "'>Set</span> <a id='link_" + name +"' href='javascript:openMap(\"" + name + "\", " + lati + ", " + longi + ");'>Pick Different Point on Map</a>"
                else:
                    return "<input type='hidden' style='visibility: hidden;' id='" + name + "_coords' name='" + name + "_coords'>Address: <input type='text' name='" + name + "_addr' value=\"" + addr + "\"><span id='status_" + name + "'></span><a id='link_" + name +"' href='javascript:openMap(\"" + name + "\", 52.2047, 0.1211);'>Pick Point on Map</a>"

        return "<input type='hidden' style='visibility: hidden;' id='" + name + "_coords' name='" + name + "_coords'>Address: <input type='text' name='" + name + "_addr'/><span id='status_" + name + "'></span> <a id='link_" + name +"' href='javascript:openMap(\"" + name + "\", 52.2047, 0.1211);'>Pick Point on Map</a>"
        
    def value_from_datadict(self, data, files, name):
        """
        Return the data to store in the model based on the POST data. 
        """
        empty_values = forms.fields.EMPTY_VALUES

        value = data.get(name, None)
        if not value is None:
            return value
        
        value = data.get(name+"_addr", None)
        coords = data.get(name+"_coords", None)
        if value in empty_values:
            value = ""
        if coords in empty_values:
            coords = ""

        return value + "|" + coords
    
