'''
Locations.tests.views
'''

from django.test import TestCase, Client
from django.core.urlresolvers import reverse


class BasicViews(TestCase):
    
    def setUp(self):
        # Reqd so that PREPEND_WWW in settings doesn't cause all view tests to fail
        self.host = "www.testhost" 
        self.client = Client(HTTP_HOST = self.host)
    
    # Pick locations
    
    def test_pick(self):
        ''' Show a pick location facility '''
        response = self.client.get(reverse('Locations.views.PickLocation', args=["test", "0.01", "0.01"]))
        self.assertEquals(response.status_code, 200)
    
    # Show location
    
    def test_add_observances(self):
        ''' Show location on a map '''
        response = self.client.get(reverse('Locations.views.ShowLocation', args=["0.01", "0.01"]))
        self.assertEquals(response.status_code, 200)