'''
Locations.views - picking and showing locations.
'''
from django.shortcuts import render_to_response
from django.conf import settings
from django.http import Http404
from django import forms
from Groups.models import GroupServiceProperty

def PickLocation(request, elementid, lati, longi):
    ''' Page for choosing a location on a map.
    elementid - the name of the map you're creating
    lati - latitude at which to centre
    longi - longitude at which to centre
    '''
    return render_to_response('locations-pick', {'apikey': settings.GOOGLEMAPS_KEY, 'elementid': elementid, 'lati': lati, 'longi': longi})

def ShowLocation(request, lati, longi):
    ''' Page for showing a location on a map.
    
    lati - latitude at which to centre
    longi - longitude at which to centre
    
    '''
    return render_to_response('locations-show', {'apikey': settings.GOOGLEMAPS_KEY, 'lati': lati, 'longi': longi})
