'''
Publicity.tests.views

'''
from django.test import TestCase, Client
from django.core import mail
from django.core.urlresolvers import reverse
from Users.models import User


class MailingTests(TestCase):
    def setUp(self):
        # Reqd so that PREPEND_WWW in settings doesn't cause all view tests to fail
        self.host = "www.testhost" 
        self.client = Client(HTTP_HOST = self.host)

        # Get logged in
        self.fergus = User.objects.create(
            firstname="Fergus",
            lastname="Ferrier",
            email="fff21@cam.ac.uk",
            membershipstatus="OK",
            password="password",
            activationlinkkey="imokay")
        self.fergus.UpdatePassword(self.fergus.password)
        response = self.client.post(reverse('Users.views.Login', args=[""]), {'email': self.fergus.email, 'password': "password"})
              
        
    # Sending Mailing
    def test_mailing_form_page(self):
        ''' Send Publicity page renders '''
        response = self.client.get(reverse('Publicity.views.SendMailing'))
        self.assertEquals(response.status_code, 200)
    
