'''
Start.models - the objects used on the Start page.
'''
from django.db import models
from Users.models import User

class StartLinkManager(models.Manager):
    def GetPidgeLinks(self):
        pidgelinks = StartLink.objects.filter(owner__email__iexact='thePidge@MyPidge.com').order_by('id')
        return pidgelinks
        
    def Add(self, user, name, url):
        ''' Add link to user's start page. '''
        
        if not (url.startswith('http://') or url.startswith('https://')):
            url = "http://" + url
        
        try:
            StartLink.objects.get(owner = user, url = url)
        except StartLink.DoesNotExist:
            s = StartLink(name=name, url=url, owner=user)
            from urlparse import urlparse
            urlo = urlparse(url)
            if (urlo[0]=='http' or urlo[0]=='https'):
                faviconloc = urlo[0] + "://" + urlo[1] + "/favicon.ico"
                from urllib import quote, urlopen
                from httplib import InvalidURL
                try:
                    u=urlopen(faviconloc)
                    if u.info().getheader('Content-type') == 'image/x-icon':
                        s.image=faviconloc
                except (InvalidURL, IOError):
                    pass
            s.save()
            user.links.add(s)

class StartLink(models.Model):
    ''' A link on the start page. '''
    url = models.URLField(verify_exists=False)
    name = models.CharField(max_length=128)
    # The links that are visible to all the users are owned by the "Pigeon" user
    owner = models.ForeignKey(User)
    image = models.CharField(max_length=128, default='/images/custom-link.gif')
    users = models.ManyToManyField(User, related_name='links', blank=True)
    defaultlink = models.BooleanField(default=False)
    
    objects = StartLinkManager()
    
    def __unicode__(self):
        return self.name