from django.contrib import admin
from Users.models import User, Reminder, Membership, PersonList, Person, CambridgeMember

class UGAInline(admin.TabularInline):
    model = Membership
    extra=10

class UserAdmin(admin.ModelAdmin):
    def save_model(self, request, obj, form, change):
        obj.save()
        if not change:
            obj.GiveDefaults()
    inlines = [
        UGAInline,
    ]
    fieldsets = (
        (None, {
            'fields': ('firstname', 'lastname', 'email')
        }),
        ('Advanced options', {
            'classes': ('collapse',),
            'fields': ('membershipstatus', 'start_openlinksinnew', 'start_opensearchinnew')
        }),
    )
    list_display = ('firstname', 'lastname', 'email')
    search_fields = ['firstname', 'lastname', 'email']
    save_on_top = True

class PersonAdmin(admin.ModelAdmin):
    list_display = ('firstname', 'lastname', 'email')
    search_fields = ['firstname', 'lastname', 'email']
    save_on_top = True


class CambridgePersonAdmin(admin.ModelAdmin):
    list_display = ('firstname', 'lastname', 'email', 'crsid')
    search_fields = ['firstname', 'lastname', 'email', 'crsid']
    save_on_top = True


admin.site.register(Person, PersonAdmin)
admin.site.register(PersonList)
admin.site.register(CambridgeMember, CambridgePersonAdmin)
admin.site.register(User, UserAdmin)
admin.site.register(Reminder)
admin.site.register(Membership)
