'''
Pidge Django settings.
Imports local settings, and then does known stuff. 
'''

from local_settings import *

class ConfigurationError(Exception): pass
class MissingParameter(ConfigurationError): pass

required_settings = [
    'DEBUG',
    'SERVER_NAME',
    'PIDGE_FRIENDLY_NAME',
    'PIDGE_INSTALL_ROOT',
    'PIDGE_EMAIL',
    'PIDGE_GROUP_LOGO_DIR',
    'PIDGE_CLAIMCONTROL_EMAIL',
    'PIDGE_INSTALL_ROOT',
    'ADMINS',
    'EMAIL_HOST',
    'DATABASE_ENGINE',
    'DATABASE_NAME',
    'SECRET_KEY',
    'MEDIA_URL',
    'TIME_ZONE',
    'LANGUAGE_CODE'
    ]

for setting in required_settings:
    if not setting in locals().keys():
        raise MissingParameter, setting

SERVER_EMAIL = PIDGE_EMAIL
TEMPLATE_DEBUG = DEBUG
MANAGERS = ADMINS

USE_I18N = False
MEDIA_ROOT = ''
ADMIN_MEDIA_PREFIX = '/media/'
EMAIL_SUBJECT_PREFIX = '[' + SERVER_NAME + '] '
TEMPLATE_LOADERS = (
    'django.template.loaders.app_directories.load_template_source',
    'django.template.loaders.filesystem.load_template_source'
)

TEMPLATE_DIRS = (
    PIDGE_INSTALL_ROOT + "/Apps/basetemplates",
)

MIDDLEWARE_CLASSES = (
    'django.middleware.common.CommonMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.middleware.doc.XViewMiddleware',
)

ROOT_URLCONF = 'urls'

INSTALLED_APPS = (
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.admin',
    'basic',
    'Events',
    'Groups',
    'Users',
    'Start',
    'EntNav',
    'Discuss',
    'Pocket',
    'Subjects',
    'RavenAuth',
    'Locations',
    'Email',
    'Publicity',
)
